#!@PERL@ -w

$maxlogid = 0;   #  The maximum log ID found.

# Search each of the specified files that were specified
# on the command line.

foreach $file (@ARGV) {

  # Open the next file.

  open(FILE, $file) or die "$!";

  # Iterate through the lines of the file.

  while(<FILE>) {

    # Search for log IDs in the current line.

    while(m/LOGID\((\d+)\)/g) {

      # Keep a record of the maximum ID seen so far.

      if($1 > $maxlogid) {
	$maxlogid = $1;
      }
    }
  }
}

print $maxlogid . "\n"
