#ifndef ccbdemodriver_h
#define ccbdemodriver_h

/*
 * CCBDemoDriverData objects encapsulate the resources needed by
 * the demonstration driver.
 */
typedef struct CCBDemoDriverData CCBDemoDriverData;

CCBDemoDriverData *new_CCBDemoDriverData(void);
CCBDemoDriverData *del_CCBDemoDriverData(CCBDemoDriverData *data);

/*
 * Allocate the driver interface object of the demonstration driver.
 */
CCBServerDriver *new_CCBDemoDriver(CCBDemoDriverData *data);

#endif
