divert(-1)
changequote([[, ]])

dnl Have the CCB_LOGID() macro simply print its argument.

define([[CCB_LOGID]], $1)

dnl Currently the 3rd and 4th arguments of all ccb logging functions
dnl contain the CCB_LOGID(number) identifying the log statement, and
dnl the corresponding log message. The names of each of these
dnl functions are registered as m4 macro's that are copies of the
dnl following macro. Using the above macro for CCB_LOGID(), the 3rd
dnl argument is the ID number of the log statement. If this argument
dnl is numeric, as it should be for a real log statement (as opposed
dnl to a function declaration), then the 3rd and 4th arguments are
dnl printed to stdout. These are the ID and log message.

define([[m4_print_ccb_log_message]], [[
ifelse(regexp($3, [[^[0-9]+$]], [[ok]]), [[ok]], [[
divert(0)dnl
format([[%03d]], $3): $4
divert(-1)
]])
]])

define([[ccb_log_server_msg]], defn([[m4_print_ccb_log_message]]))
define([[ccb_log_client_msg]], defn([[m4_print_ccb_log_message]]))
define([[cc_error_while_locked]], defn([[m4_print_ccb_log_message]]))
define([[tc_error_while_locked]], defn([[m4_print_ccb_log_message]]))

